class CreateGraduationTopics < ActiveRecord::Migration[5.2]
  def change
    create_table :graduation_topics do |t|
      t.references :user
      t.references :course
      t.integer :tea_id
      t.string :name
      t.text :description
      t.integer :status, :default => 0
      t.integer :topic_type
      t.integer :source
      t.integer :property
      t.integer :property_two
      t.string :source_unit
      t.integer :repeat
      t.string :province
      t.string :city
      t.boolean :is_public, :default => 0

      t.timestamps
    end
    add_index :graduation_topics, :user_id
    add_index :graduation_topics, :course_id
    add_index :graduation_topics, :tea_id
  end
end
